Rated Movies
curl --request GET \
--url https://api.themoviedb.org/4/account/{account_object_id}/movie/rated \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/4/account/{account_object_id}/movie/rated"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/4/account/{account_object_id}/movie/rated', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"account_rating": {
"created_at": "2025-01-07T01:14:46.630Z",
"value": 9
},
"adult": false,
"backdrop_path": "/dWkdmxIkH9y23s9v1PjQFhTGIwo.jpg",
"genre_ids": [
28,
18,
53,
10752
],
"id": 1043905,
"original_language": "en",
"original_title": "Dirty Angels",
"overview": "During the United States' 2021 withdrawal from Afghanistan, a group of female soldiers posing as medical relief are sent back in to rescue a group of kidnapped teenagers caught between ISIS and the Taliban.",
"popularity": 362.017,
"poster_path": "/3O3qSGmjRGc10hMwFul8WDxKE5t.jpg",
"release_date": "2024-12-11",
"title": "Dirty Angels",
"video": false,
"vote_average": 6.194,
"vote_count": 206
},
{
"account_rating": {
"created_at": "2025-01-27T09:55:02.358Z",
"value": 9
},
"adult": false,
"backdrop_path": "/xZm5YUNY3PlYD1Q4k7X8zd2V4AK.jpg",
"genre_ids": [
28,
35
],
"id": 993710,
"original_language": "en",
"original_title": "Back in Action",
"overview": "Fifteen years after vanishing from the CIA to start a family, elite spies Matt and Emily jump back into the world of espionage when their cover is blown.",
"popularity": 568.089,
"poster_path": "/3L3l6LsiLGHkTG4RFB2aBA6BttB.jpg",
"release_date": "2025-01-15",
"title": "Back in Action",
"video": false,
"vote_average": 6.486,
"vote_count": 1053
},
{
"account_rating": {
"created_at": "2025-01-27T09:55:54.471Z",
"value": 9
},
"adult": false,
"backdrop_path": "/v9Du2HC3hlknAvGlWhquRbeifwW.jpg",
"genre_ids": [
28,
12,
53
],
"id": 539972,
"original_language": "en",
"original_title": "Kraven the Hunter",
"overview": "Kraven Kravinoff's complex relationship with his ruthless gangster father, Nikolai, starts him down a path of vengeance with brutal consequences, motivating him to become not only the greatest hunter in the world, but also one of its most feared.",
"popularity": 1195.885,
"poster_path": "/1GvBhRxY6MELDfxFrete6BNhBB5.jpg",
"release_date": "2024-12-11",
"title": "Kraven the Hunter",
"video": false,
"vote_average": 6.68,
"vote_count": 1330
},
{
"account_rating": {
"created_at": "2025-02-07T15:21:28.786Z",
"value": 8.5
},
"adult": false,
"backdrop_path": "/eCynaAOgYYiw5yN5lBwz3IxqvaW.jpg",
"genre_ids": [
16,
10751
],
"id": 12,
"original_language": "en",
"original_title": "Finding Nemo",
"overview": "Nemo, an adventurous young clownfish, is unexpectedly taken from his Great Barrier Reef home to a dentist's office aquarium. It's up to his worrisome father Marlin and a friendly but forgetful fish Dory to bring Nemo home -- meeting vegetarian sharks, surfer dude turtles, hypnotic jellyfish, hungry seagulls, and more along the way.",
"popularity": 118.116,
"poster_path": "/eHuGQ10FUzK1mdOY69wF5pGgEf5.jpg",
"release_date": "2003-05-30",
"title": "Finding Nemo",
"video": false,
"vote_average": 7.817,
"vote_count": 19488
}
],
"total_pages": 1,
"total_results": 4
}Rated Movies
This endpoint get a users rated movies.
GET
/
4
/
account
/
{account_object_id}
/
movie
/
rated
Rated Movies
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
the page number
The ISO 639-1 code for the language
Available options:
created_at.asc, created_at.desc Response
200 - application/json
Rated Movies
Example:
1
Show child attributes
Show child attributes
Example:
[ { "account_rating": { "created_at": "2025-01-07T01:14:46.630Z", "value": 9 }, "adult": false, "backdrop_path": "/dWkdmxIkH9y23s9v1PjQFhTGIwo.jpg", "genre_ids": [28, 18, 53, 10752], "id": 1043905, "original_language": "en", "original_title": "Dirty Angels", "overview": "During the United States' 2021 withdrawal from Afghanistan, a group of female soldiers posing as medical relief are sent back in to rescue a group of kidnapped teenagers caught between ISIS and the Taliban.", "popularity": 362.017, "poster_path": "/3O3qSGmjRGc10hMwFul8WDxKE5t.jpg", "release_date": "2024-12-11", "title": "Dirty Angels", "video": false, "vote_average": 6.194, "vote_count": 206 }, { "account_rating": { "created_at": "2025-01-27T09:55:02.358Z", "value": 9 }, "adult": false, "backdrop_path": "/xZm5YUNY3PlYD1Q4k7X8zd2V4AK.jpg", "genre_ids": [28, 35], "id": 993710, "original_language": "en", "original_title": "Back in Action", "overview": "Fifteen years after vanishing from the CIA to start a family, elite spies Matt and Emily jump back into the world of espionage when their cover is blown.", "popularity": 568.089, "poster_path": "/3L3l6LsiLGHkTG4RFB2aBA6BttB.jpg", "release_date": "2025-01-15", "title": "Back in Action", "video": false, "vote_average": 6.486, "vote_count": 1053 }, { "account_rating": { "created_at": "2025-01-27T09:55:54.471Z", "value": 9 }, "adult": false, "backdrop_path": "/v9Du2HC3hlknAvGlWhquRbeifwW.jpg", "genre_ids": [28, 12, 53], "id": 539972, "original_language": "en", "original_title": "Kraven the Hunter", "overview": "Kraven Kravinoff's complex relationship with his ruthless gangster father, Nikolai, starts him down a path of vengeance with brutal consequences, motivating him to become not only the greatest hunter in the world, but also one of its most feared.", "popularity": 1195.885, "poster_path": "/1GvBhRxY6MELDfxFrete6BNhBB5.jpg", "release_date": "2024-12-11", "title": "Kraven the Hunter", "video": false, "vote_average": 6.68, "vote_count": 1330 }, { "account_rating": { "created_at": "2025-02-07T15:21:28.786Z", "value": 8.5 }, "adult": false, "backdrop_path": "/eCynaAOgYYiw5yN5lBwz3IxqvaW.jpg", "genre_ids": [16, 10751], "id": 12, "original_language": "en", "original_title": "Finding Nemo", "overview": "Nemo, an adventurous young clownfish, is unexpectedly taken from his Great Barrier Reef home to a dentist's office aquarium. It's up to his worrisome father Marlin and a friendly but forgetful fish Dory to bring Nemo home -- meeting vegetarian sharks, surfer dude turtles, hypnotic jellyfish, hungry seagulls, and more along the way.", "popularity": 118.116, "poster_path": "/eHuGQ10FUzK1mdOY69wF5pGgEf5.jpg", "release_date": "2003-05-30", "title": "Finding Nemo", "video": false, "vote_average": 7.817, "vote_count": 19488 } ]
Example:
1
Example:
4
⌘I